org.appng.xml

## Class MarshallService

- java.lang.Object
- - org.appng.xml.MarshallService

-     public class MarshallService
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MarshallService.AppNGSchema`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NS_APPLICATION` the namespace for a application-info.xml file
    `static String` | `NS_PLATFORM` The namespace for appNG application XML-resources

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarshallService()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MarshallService` | `getApplicationMarshallService()`
    `List<String>` | `getCdataElements()`
    `DocumentBuilderFactory` | `getDocumentBuilderFactory()`
    `protected Marshaller` | `getMarshaller()`
    `static MarshallService` | `getMarshallService()`
    `MarshallService.AppNGSchema` | `getSchema()`
    `String` | `getSchemaLocation()`
    `TransformerFactory` | `getTransformerFactory()`
    `protected Unmarshaller` | `getUnmarshaller()`
    `void` | `init()`
    `boolean` | `isPrettyPrint()`
    `boolean` | `isThrowMarshallingError()`
    `boolean` | `isThrowUnmarshallingError()`
    `boolean` | `isUseSchema()`
    `String` | `marshal(Object data)`
    `void` | `marshal(Object data, OutputStream out)`
    `<T,E extends T> String` | `marshallNonRoot(E data, Class<T> clazz)`
    `<T> String` | `marshallNonRoot(Object data)`
    `<T> void` | `marshallNonRoot(T data, OutputStream out)`
    `void` | `marshalNoValidation(Object data, Writer writer)`
    `void` | `setCdataElements(List<String> cdataElements)`
    `void` | `setDocumentBuilderFactory(DocumentBuilderFactory documentBuilderFactory)`
    `void` | `setPrettyPrint(boolean prettyPrint)`
    `void` | `setSchema(MarshallService.AppNGSchema schema)`
    `void` | `setSchemaLocation(String schemaLocation)`
    `void` | `setThrowMarshallingError(boolean throwMarshallingError)`
    `void` | `setThrowUnmarshallingError(boolean throwUnmarshallingError)`
    `void` | `setTransformerFactory(TransformerFactory transformerFactory)`
    `void` | `setUseSchema(boolean useSchema)`
    `Object` | `unmarshall(File f)`
    `<T> T` | `unmarshall(File f, Class<T> clazz)`
    `Object` | `unmarshall(InputSource inputSource)`
    `Object` | `unmarshall(InputStream is)`
    `<T> T` | `unmarshall(InputStream is, Class<T> clazz)`
    `<T> T` | `unmarshall(Source source, Class<T> clazz)`
    `Object` | `unmarshall(String data)`
    `<T> T` | `unmarshall(String data, Class<T> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS_PLATFORM

          public static final String NS_PLATFORM

      The namespace for appNG application XML-resources
      See Also:
        Constant Field Values

    - #### NS_APPLICATION

          public static final String NS_APPLICATION

      the namespace for a application-info.xml file
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MarshallService

          public MarshallService()

  - ### Method Detail

    - #### getSchema

          public MarshallService.AppNGSchema getSchema()

    - #### setSchema

          public void setSchema(MarshallService.AppNGSchema schema)

    - #### isUseSchema

          public boolean isUseSchema()

    - #### setUseSchema

          public void setUseSchema(boolean useSchema)

    - #### isPrettyPrint

          public boolean isPrettyPrint()

    - #### setPrettyPrint

          public void setPrettyPrint(boolean prettyPrint)

    - #### getMarshaller

          protected Marshaller getMarshaller()
                                      throws JAXBException

      Throws:
        `JAXBException`

    - #### getUnmarshaller

          protected Unmarshaller getUnmarshaller()
                                          throws JAXBException

      Throws:
        `JAXBException`

    - #### init

          public void init()

    - #### getApplicationMarshallService

          public static MarshallService getApplicationMarshallService()
                                                               throws JAXBException

      Throws:
        `JAXBException`

    - #### marshal

          public void marshal(Object data,
                              OutputStream out)
                       throws ParserConfigurationException,
                              JAXBException,
                              TransformerException

      Throws:
        `ParserConfigurationException`
        `JAXBException`
        `TransformerException`

    - #### marshal

          public String marshal(Object data)
                         throws ParserConfigurationException,
                                JAXBException,
                                TransformerException

      Throws:
        `ParserConfigurationException`
        `JAXBException`
        `TransformerException`

    - #### marshalNoValidation

          public void marshalNoValidation(Object data,
                                          Writer writer)
                                   throws JAXBException

      Throws:
        `JAXBException`

    - #### marshallNonRoot

          public <T> String marshallNonRoot(Object data)
                                     throws JAXBException

      Throws:
        `JAXBException`

    - #### marshallNonRoot

          public <T,E extends T> String marshallNonRoot(E data,
                                                        Class<T> clazz)
                                                 throws JAXBException

      Throws:
        `JAXBException`

    - #### marshallNonRoot

          public <T> void marshallNonRoot(T data,
                                          OutputStream out)
                                   throws JAXBException

      Throws:
        `JAXBException`

    - #### unmarshall

          public <T> T unmarshall(Source source,
                                  Class<T> clazz)
                           throws JAXBException

      Throws:
        `JAXBException`

    - #### unmarshall

          public <T> T unmarshall(File f,
                                  Class<T> clazz)
                           throws JAXBException

      Throws:
        `JAXBException`

    - #### unmarshall

          public <T> T unmarshall(InputStream is,
                                  Class<T> clazz)
                           throws JAXBException

      Throws:
        `JAXBException`

    - #### unmarshall

          public <T> T unmarshall(String data,
                                  Class<T> clazz)
                           throws JAXBException

      Throws:
        `JAXBException`

    - #### unmarshall

          public Object unmarshall(File f)
                            throws JAXBException

      Throws:
        `JAXBException`

    - #### unmarshall

          public Object unmarshall(InputStream is)
                            throws JAXBException

      Throws:
        `JAXBException`

    - #### unmarshall

          public Object unmarshall(String data)
                            throws JAXBException

      Throws:
        `JAXBException`

    - #### unmarshall

          public Object unmarshall(InputSource inputSource)
                            throws JAXBException

      Throws:
        `JAXBException`

    - #### getMarshallService

          public static MarshallService getMarshallService()
                                                    throws JAXBException

      Throws:
        `JAXBException`

    - #### getSchemaLocation

          public String getSchemaLocation()

    - #### setSchemaLocation

          public void setSchemaLocation(String schemaLocation)

    - #### getDocumentBuilderFactory

          public DocumentBuilderFactory getDocumentBuilderFactory()

    - #### setDocumentBuilderFactory

          public void setDocumentBuilderFactory(DocumentBuilderFactory documentBuilderFactory)

    - #### getTransformerFactory

          public TransformerFactory getTransformerFactory()

    - #### setTransformerFactory

          public void setTransformerFactory(TransformerFactory transformerFactory)

    - #### getCdataElements

          public List<String> getCdataElements()

    - #### setCdataElements

          public void setCdataElements(List<String> cdataElements)

    - #### isThrowMarshallingError

          public boolean isThrowMarshallingError()

    - #### setThrowMarshallingError

          public void setThrowMarshallingError(boolean throwMarshallingError)

    - #### isThrowUnmarshallingError

          public boolean isThrowUnmarshallingError()

    - #### setThrowUnmarshallingError

          public void setThrowUnmarshallingError(boolean throwUnmarshallingError)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.